%define major   1
%define libxvmc %mklibname xvmc %{major}
%define devxvmc %mklibname xvmc -d

Name: libxvmc
Summary:  The XvMC Library
Version: 1.0.10
Release: %mkrel 1
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXvMC-%{version}.tar.bz2

BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: libxv-devel >= 1.0.1
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
The XvMC Library

#-----------------------------------------------------------

%package -n %{libxvmc}
Summary:  The XvMC Library
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libxvmc}
The XvMC Library

%files -n %{libxvmc}
%{_libdir}/libXvMC.so.%{major}*
%{_libdir}/libXvMCW.so.%{major}*

#-----------------------------------------------------------

%package -n %{devxvmc}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxvmc} = %{version}-%{release}
Provides: libxvmc-devel = %{version}-%{release}
Obsoletes: %{_lib}xvmc1-devel < 1.0.8-2
Obsoletes: %{_lib}xvmc1-static-devel < 1.0.8-2

%description -n %{devxvmc}
Development files for %{name}

%files -n %{devxvmc}
%{_libdir}/libXvMCW.so
%{_libdir}/libXvMC.so
%{_libdir}/pkgconfig/xvmc.pc
%{_includedir}/X11/extensions/XvMClib.h
%dir %{_docdir}/libXvMC
%{_docdir}/libXvMC/XvMC_API.txt

#-----------------------------------------------------------

%prep
%setup -q -n libXvMC-%{version}
%apply_patches

%build
export LIBS="-ldl"

%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir} \
		--disable-static

%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' -exec rm -f {} ';'


%changelog
* Fri Aug 11 2017 neoclust <neoclust> 1.0.10-1.mga5
+ Revision: 1139727
- New version 1.0.10 (mga#19530)

* Wed Oct 15 2014 umeabot <umeabot> 1.0.8-5.mga5
+ Revision: 739615
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.8-4.mga5
+ Revision: 681905
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.8-3.mga4
+ Revision: 532707
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 wally <wally> 1.0.8-2.mga4
+ Revision: 469324
- drop major from devel pkg name
- drop unneeded requires
- drop ancient conflicts
- drop static devel pkg

* Fri Jun 14 2013 tv <tv> 1.0.8-1.mga4
+ Revision: 443024
- new release
- patch 0: security fixes

* Fri Feb 08 2013 luigiwalser <luigiwalser> 1.0.7-3.mga3
+ Revision: 397182
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 1.0.7-2.mga3
+ Revision: 358693
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 09 2012 tv <tv> 1.0.7-1.mga2
+ Revision: 222143
- new release

* Sun Nov 20 2011 dmorgan <dmorgan> 1.0.6-2.mga2
+ Revision: 169977
- Remove .la files

* Wed Jan 12 2011 dmorgan <dmorgan> 1.0.6-1.mga1
+ Revision: 7246
- imported package libxvmc


* Mon Aug 16 2010 Thierry Vignaud <tv@mandriva.org> 1.0.6-1mdv2011.0
+ Revision: 570275
- new release

* Tue Nov 10 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.0.5-2mdv2010.1
+ Revision: 464049
- Ship docs too

  + Thierry Vignaud <tv@mandriva.org>
    - fix build
    - new release

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.4-5mdv2010.0
+ Revision: 425958
- rebuild

* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.4-4mdv2009.0
+ Revision: 229746
- fix build (-ldl)

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert build requires.

* Wed Jan 16 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.4-2mdv2008.1
+ Revision: 153700
- Update BuildRequires and rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Feb 15 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.4-1mdv2007.0
+ Revision: 121452
- new release

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - X11R7.1
    - increment release
    - fixed more dependencies
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

